---
title: '::-webkit-slider-thumb'
slug: 'Web/CSS/::-webkit-slider-thumb'
tags:
  - CSS
  - NeedsBrowserCompatibility
  - NeedsCompatTable
  - NeedsExample
  - NeedsMobileBrowserCompatibility
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-webkit-slider-thumb</code></strong> CSS <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> represents the "thumb" that the user can move within the "groove" of an {{HTMLElement("input")}} of <code>type="range"</code> to alter its numerical value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::-webkit-slider-thumb</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-slider-thumb")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("::-webkit-slider-runnable-track")}}</li>
 <li>Similar pseudo-elements used by other browsers:
  <ul>
   <li>{{cssxref("::-moz-range-thumb")}}</li>
   <li>{{cssxref("::-ms-thumb")}}</li>
  </ul>
 </li>
 <li><a href="https://css-tricks.com/styling-cross-browser-compatible-range-inputs-css/">CSS-Tricks: Styling Cross-Browser Compatible Range Inputs with CSS</a></li>
 <li><a href="http://www.quirksmode.org/blog/archives/2015/11/styling_and_scr.html">QuirksMode: Styling and scripting sliders</a></li>
 <li><a href="https://brennaobrien.com/blog/2014/05/style-input-type-range-in-every-browser.html">Couple of Gotchas to Watch-out For</a></li>
</ul>
